tools/mkimage: update to version 2018.03
[openwrt/openwrt.git] / tools / mkimage / patches / 080-remove_compiler_check.patch
index 3e71ad5..5e0792f 100644 (file)
@@ -1,8 +1,8 @@
---- a/include/linux/compiler-gcc4.h
-+++ b/include/linux/compiler-gcc4.h
-@@ -2,13 +2,6 @@
- #error "Please don't include <linux/compiler-gcc4.h> directly, include <linux/compiler.h> instead."
- #endif
+--- a/include/linux/compiler-gcc.h
++++ b/include/linux/compiler-gcc.h
+@@ -146,13 +146,6 @@
+ #if GCC_VERSION >= 40000
  
 -/* GCC 4.1.[01] miscompiles __weak */
 -#ifdef __KERNEL__
  
 -/* GCC 4.1.[01] miscompiles __weak */
 -#ifdef __KERNEL__
@@ -12,5 +12,5 @@
 -#endif
 -
  #define __used                        __attribute__((__used__))
 -#endif
 -
  #define __used                        __attribute__((__used__))
- #define __must_check          __attribute__((warn_unused_result))
#define __compiler_offsetof(a,b) __builtin_offsetof(a,b)
+ #define __compiler_offsetof(a, b)                                     \
      __builtin_offsetof(a, b)